Subject: Re: e1000 (?) jumbo frames performance issue

From: Rick Jones <[email-masked]>
Date: Fri, 06 May 2005 09:18:59 -0700

> 
>>It might be good to add CPU utilization figures - for 2.3pl1 that means
>>editing the makefile to add a -DUSE_PROC_STAT and recompiling.  Or you can
>>grab netperf 2.4.0-rc3 from:
>>
>>ftp://ftp.cup.hp.com/dist/networking/benchmarks/netperf/experimental/
>>
>>if you cannot find it elsewhere, and that will (try to) compile-in the
>>right CPU utilization mechanism automagically.
> 
> 
> I already did a custom CPU usage instrumentation (based on infos 
> from /proc/stat -- the latest netperf does the same thing, doesn't it?) and 
> it seems that system has plenty of idle time (up to 50% if I recall correct)

IIRC you stated that the boxes were UP?

If changing netperf settings didn't affect much, then kernel profiles and/or 
packet traces may be in order.

rick